Summary:	On-the-fly, LTL model checking with SPIN
Summary(pl.UTF-8):	Sprawdzanie modeli LTL w locie przy użyciu SPIN
Name:		spin
Version:	6.2.3
%define		_ver	%(echo %{version} | tr -d .)
Release:	1
License:	Spin Public license
Group:		Development/Tools
Source0:	http://spinroot.com/spin/Src/%{name}%{_ver}.tar.gz
# Source0-md5:	99b8ad8e996f71e852d87f957fda9ae2
Source1:	ispin.desktop
URL:		http://spinroot.com/spin/whatispin.html
BuildRequires:	yacc
Requires:	tcl
Requires:	tk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spin is a popular software tool that can be used for the formal
verification of distributed software systems. The tool was developed
at Bell Labs in the original Unix group of the Computing Sciences
Research Center, starting in 1980. The software has been available
freely since 1991, and continues to evolve to keep pace with new
developments in the field. In April 2002 the tool was awarded the
prestigious System Software Award for 2001 by the ACM.

http://cm.bell-labs.com/cm/cs/what/spin/spin_license.html

%description -l pl.UTF-8
Spin to popularne narzędzie, którego można używać do formalnego
sprawdzania systemów programów rozproszonych. Narzędzie było rozwijane
w Bell Labs w oryginalnej grupie Uniksa z Computing Sciences Research
Center począwszy od 1980 roku. Jest dostępne za darmo od 1991 i nadal
dotrzymuje kroku. We wrześniu 2002 narzędzie to otrzymało prestiżową
nagrodę System Software Award 2001 roku od ACM.

http://cm.bell-labs.com/cm/cs/what/spin/spin_license.html

%package ispin
Summary:	Graphical user interface to Spin
Summary(pl.UTF-8):	Graficzny interfejs użytkownika do Spina
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Obsoletes:	spin-xspin

%description ispin
Xspin is graphical user interface to Spin, written in Tcl/Tk.

%description ispin -l pl.UTF-8
Xspin to graficzny interfejs użytkownika do Spina, napisany w Tcl/Tk.

%prep
%setup -q -c

%build
cd Spin/Src*
%{__make} -j1 CFLAGS="-ansi -D_POSIX_SOURCE %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}} \
	$RPM_BUILD_ROOT%{_desktopdir}

install Spin/Src*/spin $RPM_BUILD_ROOT%{_bindir}
install Spin/Man/spin.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a Spin/{Samples,Test} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/ispin.desktop

echo "#!/usr/bin/wish -f" > $RPM_BUILD_ROOT%{_bindir}/ispin
tail -n +4 Spin/iSpin/ispin.tcl >> $RPM_BUILD_ROOT%{_bindir}/ispin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Spin/README.html Spin/Doc/*
%attr(755,root,root) %{_bindir}/spin
%{_mandir}/man1/*
%{_examplesdir}/%{name}-%{version}

%files ispin
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ispin
%{_desktopdir}/ispin.desktop
%changelog
* Thu Feb 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spin.git;a=log;h=master

* Thu Feb 21 2013 Jan Rękorajski <baggins@pld-linux.org> 848c03f
- updated to 6.2.3

* Thu Feb 09 2012 Jan Rękorajski <baggins@pld-linux.org> ea148a9
- 6.1.0

* Wed Jul 06 2011 Jan Rękorajski <baggins@pld-linux.org> a7d9ec2
- rel 2
- added desktop file for ispin

* Mon Feb 07 2011 Jan Rękorajski <baggins@pld-linux.org> 4d08853
- 6.0.1
- xspin obsoleted by ispin
- install tests and samples to examplesdir

* Wed Feb 10 2010 Jan Rękorajski <baggins@pld-linux.org> 74d7755
- rel 2
- it doesn't like parallel make

* Wed Feb 10 2010 Jan Rękorajski <baggins@pld-linux.org> 4c10acf
- up to 5.2.4

* Mon Feb 16 2009 Jan Rękorajski <baggins@pld-linux.org> ce63bca
- up to 5.1.7
- dropped bison patch, BR yacc

* Mon Feb 16 2009 Jan Rękorajski <baggins@pld-linux.org> ed501ec
- make system's been revamped. bison/yacc BR is not really worth the pain

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 827b277
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fbec87b
- converted to UTF-8

* Wed Sep 13 2006 Jan Rękorajski <baggins@pld-linux.org> 5f2f3fe
- up to 4.2.7

* Sun Jun 26 2005 darekr <darekr@pld-linux.org> 6fd4a95
- added -use_bison patch

* Sun Jun 26 2005 darekr <darekr@pld-linux.org> 494b865
- use bison instead of yacc

* Tue May 11 2004 Michal Moskal <michal@moskal.me> 08f8e30
- up to 4.1.3

* Sat Apr 10 2004 twittner <twittner@pld-linux.org> 62b806e
- typo

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 0e8d45f
- pl

* Mon Jan 12 2004 Jan Rękorajski <baggins@pld-linux.org> 8e3c58e
- added URL to license

* Mon Jan 12 2004 Jan Rękorajski <baggins@pld-linux.org> 718d924
- initial revision

